Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.datatype
Class BooleanDatatypeValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.BooleanDatatypeValidator

public class BooleanDatatypeValidator
extends AbstractDatatypeValidator

BooleanValidator validates that content satisfies the W3C XML Datatype for Boolean

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: BooleanDatatypeValidator.java,v 1.10 2001/04/25 20:41:54 elena Exp $
Author:
  Ted Leung, Jeffrey Rodriguez, Mark Swinkles - List Validation refactoring

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`BooleanDatatypeValidator()`
`BooleanDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this object.
`int` | `compare(java.lang.String content1, java.lang.String content2)` Compare two boolean data types
`java.util.Hashtable` | `getFacets()` Return a Hashtable that contains facet information
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` validate that a string matches the boolean datatype

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanDatatypeValidator

    public BooleanDatatypeValidator()
                             throws InvalidDatatypeFacetException

### BooleanDatatypeValidator

    public BooleanDatatypeValidator(DatatypeValidator base,
                                    java.util.Hashtable facets,
                                    boolean derivedByList)
                             throws InvalidDatatypeFacetException

Method Detail

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  validate that a string matches the boolean datatype

  Parameters:
    `content` - A string containing the content to be validated
  Throws:
    throws - InvalidDatatypeException if the content is is not valid.
  Overrides:
    validate in class AbstractDatatypeValidator

### compare

    public int compare(java.lang.String content1,
                       java.lang.String content2)

  Compare two boolean data types

  Parameters:
    `content1` -
    `content2` -
  Returns:
    0 if equal, 1 if not equal

### getFacets

    public java.util.Hashtable getFacets()

  Return a Hashtable that contains facet information

  Returns:
    Hashtable

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a copy of this object.

  Overrides:
    clone in class AbstractDatatypeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference